## e-data-server-module

e-data-server-module

## Synopsis

    void                e_data_server_module_init           (void);
    GList*              e_data_server_get_extensions_for_type
                                                            (GType type);
    void                e_data_server_extension_list_free   (GList *list);
    void                e_data_server_module_remove_unused  (void);
    void                e_data_server_module_add_type       (GType type);
    void                eds_module_initialize               (GTypeModule *module);
    void                eds_module_shutdown                 (void);
    void                eds_module_list_types               (const GType **types,
                                                             int *num_types);

## Description

## Details

### e_data_server_module_init ()

    void                e_data_server_module_init           (void);

### e_data_server_get_extensions_for_type ()

    GList*              e_data_server_get_extensions_for_type
                                                            (GType type);

`type` : |
Returns : |

### e_data_server_extension_list_free ()

    void                e_data_server_extension_list_free   (GList *list);

`list` : |

### e_data_server_module_remove_unused ()

    void                e_data_server_module_remove_unused  (void);

### e_data_server_module_add_type ()

    void                e_data_server_module_add_type       (GType type);

`type` : |

### eds_module_initialize ()

    void                eds_module_initialize               (GTypeModule *module);

`module` : |

### eds_module_shutdown ()

    void                eds_module_shutdown                 (void);

### eds_module_list_types ()

    void                eds_module_list_types               (const GType **types,
                                                             int *num_types);

`types` : |
`num_types` : |